<?xml version="1.0" encoding="UTF-8"?>
<refentry version="5.0-subset Scilab" xml:id="opc_item_read" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-03-26 09:50:39 +0100 (mer., 26 mars 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>opc_item_read</refname>

    <refpurpose>Read all OPC Items Value from OPC Server</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>item_read = opc_item_read(item_num,flag)</synopsis>
  </refsynopsisdiv>

  <refsynopsisdiv>
    <title>Parameters</title>

    <synopsis>item_num : The num of OPC Group items </synopsis>

    <synopsis>flag : 'i' or 'f', 'i' is integer, 'f' is float 
 </synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Description</title>

    <para>This function is to read OPC items value from OPC group.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example">item_num = 2
item_read_value = opc_item_read(item_num, flag)</programlisting>
  </refsection>

  <refsection>
    <title>Authors</title>

    <simplelist type="vert">
      <member>Zhe Peng, Longhua Ma</member>
    </simplelist>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member>
        <link linkend="opc_connect">opc_connect</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
